# Order a gift card

## Order a gift card

<mark style="color:green;">`POST`</mark> `https://sandbox.pgecom.com/api/v1/giftcards`

#### Request Body

| Name                                       | Type   | Description                                                                                                                                                                      |
| ------------------------------------------ | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| fullName<mark style="color:red;">\*</mark> | String | The full name of the recipient                                                                                                                                                   |
| email<mark style="color:red;">\*</mark>    | String | The recipient email. Please note that the gift card will be sent to this email. Make sure that it's correct                                                                      |
| id                                         | Number | The gift card id from the list of gift cards                                                                                                                                     |
| amount                                     | Number | The amount in usd that you'd like to send to the user                                                                                                                            |
| delivery                                   | String | How fast you want the gift cards. Most giftCards are instant but you can also choose how you want to send them (ex: standard, regular, express, urgent, or instant)              |
| phone                                      | String | The phone number of the recipient                                                                                                                                                |
| quantity                                   | String | The quantity of gift cards that you'd like to order                                                                                                                              |
| webhookUrl                                 | String | <p>This will receive post a request with the following values when the gift card is complete<br>- orderId<br>- status<br>- transactionId<br>- currency<br>- token</p><p><br></p> |
| metadata                                   | Object | An object of additional values that you'd like to retrieve on the order                                                                                                          |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "message": "Gift card purchased successfully"
}

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pgecom.com/api-endpoint/giftcards/order-a-gift-card.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
